# Uses of Class
net.shibboleth.idp.profile.ScriptedAction

Packages that use ScriptedAction
Package
Description
net.shibboleth.idp.profile
Common APIs for handling profile requests.

## Uses of ScriptedAction in net.shibboleth.idp.profile

Methods in net.shibboleth.idp.profile that return ScriptedAction
Modifier and Type
Method
Description
`static ScriptedAction`
ScriptedAction.`inlineScript(String scriptSource)`
Factory to create `ScriptedAction` from inline data.
`static ScriptedAction`
ScriptedAction.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedAction` from inline data.
`static ScriptedAction`
ScriptedAction.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedAction` from a `Resource`.
`static ScriptedAction`
ScriptedAction.`resourceScript(Resource resource)`
Factory to create `ScriptedAction` from a `Resource`.